> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/maps-and-imagery-portfolio/os-mastermap-topography-layer/os-mastermap-topography-layer-technical-specification/attribute-mapping.md).

# Attribute mapping

The naming of attributes will be different between the various formats due to the differing naming conventions associated with each format (for example, presence of underscores, character limitations and capitalisation). Therefore, the following tables map the differing format attribute names to one another for each feature type.

{% hint style="info" %}
*Please note that the 'fid' attribute in the GeoPackage format does not align to the 'fid' attribute in the GML format. In GeoPackage, 'fid' is a mandatory field that is procedurally generated, with a non-persistent number, when the format is produced. In GML, the 'fid' attribute houses the feature's unique TOID.*
{% endhint %}

### Boundary Line <a href="#id-8.1-boundary-line" id="id-8.1-boundary-line"></a>

| GeoPackage             | Vector tiles       | GML                |
| ---------------------- | ------------------ | ------------------ |
| fid                    | N/A                | N/A                |
| toid                   | toid               | fid                |
| feature\_code          | N/A                | featureCode        |
| version                | N/A                | version            |
| version\_date          | N/A                | versionDate        |
| theme                  | theme              | theme              |
| accuracy\_of\_position | N/A                | accuracyOfPosition |
| change\_date           | N/A                | changeDate         |
| reason\_for\_change    | N/A                | reasonForChange    |
| descriptive\_group     | N/A                | descriptiveGroup   |
| descriptive\_term      | N/A                | descriptiveTerm    |
| physical\_level        | N/A                | physicalLevel      |
| physical\_presence     | N/A                | physicalPresence   |
| style\_description     | style\_description | N/A                |
| style\_code            | style\_code        | N/A                |

### Cartographic Symbol <a href="#id-8.2-cartographic-symbol" id="id-8.2-cartographic-symbol"></a>

| GeoPackage             | Vector tiles       | GML              |
| ---------------------- | ------------------ | ---------------- |
| fid                    | N/A                | N/A              |
| toid                   | toid               | fid              |
| feature\_code          | N/A                | featureCode      |
| version                | N/A                | version          |
| version\_date          | N/A                | versionDate      |
| theme                  | theme              | theme            |
| change\_date           | N/A                | changeDate       |
| reason\_for\_change    | N/A                | reasonForChange  |
| descriptive\_group     | N/A                | descriptiveGroup |
| descriptive\_term      | N/A                | descriptiveTerm  |
| orientation            | orientation        | orientation      |
| physical\_level        | N/A                | physicalLevel    |
| physical\_presence     | N/A                | physicalPresence |
| reference\_to\_feature | N/A                | N/A              |
| style\_code            | style\_code        | N/A              |
| style\_description     | style\_description | N/A              |

### Cartographic Text <a href="#id-8.3-cartographic-text" id="id-8.3-cartographic-text"></a>

| GeoPackage          | Vector tiles       | GML              |
| ------------------- | ------------------ | ---------------- |
| fid                 | N/A                | N/A              |
| toid                | toid               | fid              |
| feature\_code       | N/A                | featureCode      |
| version             | N/A                | version          |
| version\_date       | N/A                | versionDate      |
| theme               | theme              | theme            |
| change\_date        | N/A                | changeDate       |
| reason\_for\_change | N/A                | reasonForChange  |
| descriptive\_group  | N/A                | descriptiveGroup |
| descriptive\_term   | N/A                | descriptiveTerm  |
| make                | N/A                | make             |
| physical\_level     | N/A                | physicalLevel    |
| physical\_presence  | N/A                | physicalPresence |
| anchor\_position    | N/A                | anchorPosition   |
| font                | N/A                | font             |
| height              | height             | height           |
| orientation         | N/A                | orientation      |
| text\_string        | text\_string       | textString       |
| style\_description  | style\_description | N/A              |
| style\_code         | style\_code        | N/A              |
| colour\_code        | colour\_code       | N/A              |
| font\_code          | font\_code         | N/A              |
| rotation            | rotation           | N/A              |
| geo\_x              | geo\_x             | N/A              |
| geo\_y              | geo\_y             | N/A              |
| anchor              | anchor             | N/A              |

### Topographic Area <a href="#id-8.4-topographic-area" id="id-8.4-topographic-area"></a>

| GeoPackage              | Vector tiles       | GML                 |
| ----------------------- | ------------------ | ------------------- |
| fid                     | N/A                | N/A                 |
| toid                    | toid               | fid                 |
| feature\_code           | N/A                | featureCode         |
| version                 | N/A                | version             |
| version\_date           | N/A                | versionDate         |
| theme                   | theme              | theme               |
| calculated\_area\_value | N/A                | calculatedAreaValue |
| change\_date            | N/A                | changeDate          |
| reason\_for\_change     | N/A                | reasonForChange     |
| descriptive\_group      | N/A                | descriptiveGroup    |
| descriptive\_term       | N/A                | descriptiveTerm     |
| make                    | N/A                | make                |
| physical\_level         | N/A                | physicalLevel       |
| physical\_presence      | N/A                | physicalPresence    |
| style\_description      | style\_description | N/A                 |
| style\_code             | style\_code        | N/A                 |

### Topographic Line <a href="#id-8.5-topographic-line" id="id-8.5-topographic-line"></a>

| GeoPackage                                 | Vector tiles       | GML                         |
| ------------------------------------------ | ------------------ | --------------------------- |
| fid                                        | N/A                | N/A                         |
| toid                                       | toid               | fid                         |
| feature\_code                              | N/A                | featureCode                 |
| version                                    | N/A                | version                     |
| version\_date                              | N/A                | versionDate                 |
| theme                                      | N/A                | theme                       |
| accuracy\_of\_position                     | N/A                | accuracyOfPosition          |
| change\_date                               | N/A                | changeDate                  |
| reason\_for\_change                        | N/A                | reasonForChange             |
| descriptive\_group                         | N/A                | descriptiveGroup            |
| descriptive\_term                          | N/A                | descriptiveTerm             |
| non\_bounding\_line                        | N/A                | nonBoundingLine             |
| height\_above\_datum                       | N/A                | heightAboveDatum            |
| accuracy\_of\_height\_above\_datum         | N/A                | accuracyOfHeightAboveDatum  |
| height\_above\_ground\_level               | N/A                | heightAboveGroundLevel      |
| accuracy\_of\_height\_above\_ground\_level | N/A                | accuracyOfHeightAboveGround |
| make                                       | N/A                | make                        |
| physical\_level                            | N/A                | physicalLevel               |
| physical\_presence                         | N/A                | physicalPresence            |
| style\_description                         | style\_description | N/A                         |
| style\_code                                | style\_code        | N/A                         |

### Topographic Point <a href="#id-8.6-topographic-point" id="id-8.6-topographic-point"></a>

| GeoPackage                                 | Vector tiles       | GML                         |
| ------------------------------------------ | ------------------ | --------------------------- |
| fid                                        | N/A                | N/A                         |
| toid                                       | toid               | fid                         |
| feature\_code                              | N/A                | featureCode                 |
| version                                    | N/A                | version                     |
| version\_date                              | N/A                | versionDate                 |
| theme                                      | theme              | theme                       |
| accuracy\_of\_position                     | N/A                | accuracyOfPosition          |
| change\_date                               | N/A                | changeDate                  |
| reason\_for\_change                        | N/A                | reasonForChange             |
| descriptive\_group                         | N/A                | descriptiveGroup            |
| descriptive\_term                          | N/A                | descriptiveTerm             |
| height\_above\_datum                       | N/A                | heightAboveDatum            |
| accuracy\_of\_height\_above\_datum         | N/A                | accuracyOfHeightAboveDatum  |
| height\_above\_ground\_level               | N/A                | heightAboveGroundLevel      |
| accuracy\_of\_height\_above\_ground\_level | N/A                | accuracyOfHeightAboveGround |
| make                                       | N/A                | make                        |
| physical\_level                            | N/A                | physicalLevel               |
| physical\_presence                         | N/A                | physicalPresence            |
| style\_description                         | style\_description | N/A                         |
| style\_code                                | style\_code        | N/A                         |

### Geometry mapping <a href="#id-9.-geometry-mapping" id="id-9.-geometry-mapping"></a>

| Feature type format | GeoPackage      | Vector tiles | GML                        |
| ------------------- | --------------- | ------------ | -------------------------- |
| Boundary Line       | MultiLineString | line         | GM\_MULTICURVE (MULTILINE) |
| Cartographic Symbol | Point           | point        | GM\_POINT (POINT)          |
| Cartographic Text   | Point           | point        | GM\_POINT (POINT)          |
| Topographic Area    | Polygon         | polygon      | GM\_SURFACE (POLYGON)      |
| Topographic Line    | MultiLineString | line         | GM\_MULTICURVE (POLYLINE)  |
| Topographic Point   | Point           | point        | GM\_POINT (POINT)          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/maps-and-imagery-portfolio/os-mastermap-topography-layer/os-mastermap-topography-layer-technical-specification/attribute-mapping.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
